package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFBOLClientConsents {

    private Map<String, Object> params;
    
    public MWFBOLClientConsents(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsConsentkey() {
        return (Long) params.get("RS_CONSENTKEY");
    }

    public String rsConsenttype() {
        return (String) params.get("RS_CONSENTTYPE");
    }

    public String rsConsentauditflag() {
        return (String) params.get("RS_CONSENTAUDITFLAG");
    }

    public java.util.Date rsConsentsigntime() {
        return (java.util.Date) params.get("RS_CONSENTSIGNTIME");
    }

    public String rsConsentstate() {
        return (String) params.get("RS_CONSENTSTATE");
    }

    public String rsConsentvalue() {
        return (String) params.get("RS_CONSENTVALUE");
    } 

}
